# ezQuake Manual: Miscellaneous Variables

- Config Management
- Help Browser
- System Settings
- Unsorted Variables

## Config Management Variables

### cfg_backup

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Backs up your old config before overwriting it with cfg_save.
0 | No backup of your config.

### cfg_browser_democolor

#### Description

Color of the demo entries in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 255 255 255

Variable is string.

### cfg_browser_dircolor

#### Description

Color of the dir entries in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 170 80 0 255

Variable is string.

### cfg_browser_interline

#### Description

Size of the space between entries in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is integer.

### cfg_browser_scrollnames

#### Description

Toggle scrolling of the filenames in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### cfg_browser_selectedcolor

#### Description

Color of the selected entries in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0 150 235 255

Variable is string.

### cfg_browser_showdate

#### Description

Toggle the date column in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### cfg_browser_showsize

#### Description

Toggle the file size column in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### cfg_browser_showstatus

#### Description

Toggle the display of the status bar in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### cfg_browser_showtime

#### Description

Toggle the time column in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### cfg_browser_sortmode

#### Description

Sorting mode in the cfg browser. Each number represents one column. Their order represents the priority of the sorting.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is string.

### cfg_browser_stripnames

#### Description

Toggle stripping of the filenames in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### cfg_browser_zipcolor

#### Description

Color of the zip entries in the cfg browser

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 170 0 255

Variable is string.

### cfg_legacy_exec

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Do not execute config.cfg and frontend.cfg in gamedir ever.
1 | Execute config.cfg and frontend.cfg in gamedir (unless gamedir = qw) like
2 | Execute config.cfg and frontend.cfg even if gamedir = qw.
3 | Execute config.cfg and frontend.cfg even if gamedir = qw. If not found in current gamedir, execute from qw dir.

### cfg_legacy_write

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Will write a small config.cfg to your gamedir when quitting just like qw
0 | Will not write config.cfg.

2.33.

### cfg_save_aliases

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | cfg_save saves aliases.
0 | Won't save aliases.

### cfg_save_binds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Toggles whether cfg_save saves binds.
0 | Won't save binds.

### cfg_save_cmdline

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Writes your command line in configs made with cfg_save (commented out of
0 | Won't save command line.

course).

### cfg_save_cmds

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Saves commands.
0 | Won't save commands.

### cfg_save_cvars

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Saves variables.
0 | Won't save variables.

### cfg_save_onquit

#### Description

When enabled, your main configuration (config.cfg) will be saved when you exit the application

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Automatically save the configuration on exit
0 | Do not save configuration on exit

Configuration will be saved in the main user configuration file, that is config.cfg which can either be placed in the quake/ezquake/configs in your quakedir, or in your home dir in /ezquake, depending on cfg_use_home setting.

### cfg_save_sysinfo

#### Description

Not implemented yet.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### cfg_save_unchanged

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Makes cfg_save write all variables to the config file.
0 | Makes cfg_save only write variables that are not default valued to the

config file.

### cfg_save_userinfo

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

#### Values

value | description
0 | Makes cfg_save not save userinfo variables.
1 | Makes cfg_save save all userinfo variables except spectator/name/topcolor/bottomcolor/skin/team .
2 | Makes cfg_save save all userinfo variables like name/team/teamcolor/rate/msg/skin/w_switch/b_switch/... .

Note :'cfg_save_userinfo 1' is best for teamfortress so you don't get kicked for changing bottom color. Note : cfg_save will never save the password variable, even though technically it is a userinfo variable.

### cfg_use_home

#### Description

When turned on, configutaion will be saved into user's profile (home) directory.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Save the configuration into user's home dir
0 | Save the configuration into <quake>/ezquake/configs

This affects only cfg_save and cfg_load commands.

## Help Browser Variables

### help_files_dircolor

#### Description

The RGB color of directories in the help browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 255 255 255

Variable is string.
Example: "255 255 255"

### help_files_filecolor

#### Description

The RGB color for files in the help browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 255 255 255

Variable is string.
Example: "255 255 255"

### help_files_interline

#### Description

Adjust interlining of file list in /help filebrowser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### help_files_scrollnames

#### Description

Should the filenames in the help browser get scrolled if they don't fit when the file is selected?

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Scroll names
0 | Don't scroll names

### help_files_selectedcolor

#### Description

The RGB color of a selected file in the help browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 255 255 255

Variable is string.
Example: "255 255 255"

### help_files_showdate

#### Description

Shows column displaying file last modification date in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### help_files_showsize

#### Description

Shows column displaying file size in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### help_files_showstatus

#### Description

Show quick info about selected help file in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### help_files_showtime

#### Description

Shows column displaying file last modification time in /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### help_files_sortmode

#### Description

Switches sorting methods of files /help file browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### help_files_stripnames

#### Description

Strips filenames of help files.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## System Settings Variables

### cl_mediaroot

#### Description

Changes where demos, screenshots and logs are saved, how variables demo_dir, sshot_dir and log_dir are treated.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Treat paths as relative to the Quake dir
1 | Treat paths as relative to user home dir
2 | Treat paths as system absolute paths

### sys_disableWinKeys

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Disable winkeys from alt-tabbing you (only works in NT/2K/XP, and only when the client is in focus).
0 | Enable.

Note: Windows keys are now bindable (LWINKEY, RWINKEY, WINKEY, POPUPMENU). Obviously only useful on NT/2K/XP with sys_disableWinKeys 1 (and possibely useful in Linux too!).

### sys_highpriority

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

#### Values

value | description
-1 | Sets process to low priority.
0 | Sets process to normal priority.
1 | Sets process to high priority.

### sys_inactiveSleep

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Enable inactive sleeping.
0 | Prevent freeing of CPU when the client is minimized or not in focus.

### sys_yieldcpu

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Less CPU power is allocated to ezQuake.
0 | More CPU power is allocated to ezQuake.

## Unsorted Variables Variables

### auth_validate

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 | which performs the validation (but you need to use 'validate_clients'
0 | If you don't want your client to validate other ezQuake clients.

If you have 'auth_warninvalid 1' and someone gives a dirty hash in a version response (because they are using a hacked client that can't work out the right response), the client will print something like 'Warning Invalid Client: playername (userid)' in your console ('auth_warninvalid 0' is default).

### auth_warninvalid

#### Description

Check auth_validate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### gl_maxtmu2

#### Description

Allow only two texturing units. Sometimes usefull for buggy ATI cards. If you don't need this, don't use it. Lowers the performance.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 |
0 |

### gl_particle_fulldetail

#### Description

Allows full detail depth for gl_particle_* effects

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 |
0 |

### keymap_name

#### Description

This holds the name of the current keymappings; it has (currently) only informational purposes. If no keymapping is active, it will contain the name "Default". If a keymapping will be active and no name has been set, "Custom" will be used as name. It can easily be set with "keymap_name <layoutname>"

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### menu_advanced

#### Description

Shows/hides advanced options entries in the Options menu

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 | Show advanced options
0 | Hide advanced options

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs